Bug 10384 - (int-150612) photo camera exposure correction defective for manual ISO setting
(int-150612)
: photo camera exposure correction defective for manual ISO setting
Status: RESOLVED WONTFIX
Product: Images and Camera
Camera
: 5.0:(10.2010.19-1)
: N900 Maemo
: Unspecified major with 19 votes (vote)
: ---
Assigned To: unassigned
: camera-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-05-28 14:31 UTC by Kyros
Modified: 2011-01-21 18:04 UTC (History)
10 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Kyros (reporter) 2010-05-28 14:31:15 UTC
SOFTWARE VERSION: 10.2010.19-1

EXACT STEPS LEADING TO PROBLEM: 

Bug: Photo camera exposure correction is defective for manual ISO setting in
the N900 after updating the OS to PR1.2:

The bug apprears in the following test situation:
- ISO-setting to ISO 100, 200 or 400 (not AutoISO).
- Manual exposure correction to +0,5, +1,0, +1,5, +2,0 (overexpose)
In this cases the picture turns to very dark (almost black) while it should be
brighter regaring to the aimed overexposure.
The bug is independend from other settings (flash, recording presets (portrait,
landscape, night,…) or white balance. 
The bug does not appear in video mode sinde there is no possibility to change
the ISO settings to another value. 

EXPECTED OUTCOME:
At ISO 100, 200 or 400 the picture is expected to appear brighter when the
exposure correction is set to +0,5, +1,0, +1,5, +2,0 (overexpose)

ACTUAL OUTCOME:
At ISO 100, 200 or 400 the picture changes to a very dark exposure (almost
black) when exposure correction it set to +0,5, +1,0, +1,5, +2,0 (overexpose)

REPRODUCIBILITY:
(always)

EXTRA SOFTWARE INSTALLED:
No

OTHER COMMENTS:
This feature is one of the main tools to use the excelent camera of the N900 to
make good pictures. It is very important that this feature is working correctly
again.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.3)
Gecko/20100407 Ubuntu/9.10 (karmic) Firefox/3.6.3
Comment 1 Kyros (reporter) 2010-05-28 14:36:53 UTC
There is even a Youtube video showing this bug published by ahtiven:
http://www.youtube.com/watch?v=Da1nd_zgk4U
Comment 2 Bartosz Taudul 2010-06-01 00:10:24 UTC
Confirming.
Comment 3 Andre Klapper maemo.org 2010-06-01 17:31:22 UTC
Thanks for reporting this!
Comment 4 Kyros (reporter) 2010-06-01 18:05:31 UTC
Happy that it's now recognized :-)

I used the N900's excelent camera for making pictures which no one in my
surrounding believes that they are made by a phone's camera. But now after this
bug appears in PR 1.2 I cannot use it to make kind of High-key photography
(http://en.wikipedia.org/wiki/High-key_lighting) which is a real pity...

So I would really appreciate a solution if possible please as a patch for fast
fixing before a future firmware update... is this possible?


PS: Does anyone know if it is planned to add a delayed-action shutter release
(self-timer) the camera menu? This would make the whole thing really perfect!
Comment 5 Maxx 2010-06-14 03:35:16 UTC
Confirmed issues.
Comment 6 Bartosz Taudul 2010-07-05 23:21:08 UTC
*** Bug 10842 has been marked as a duplicate of this bug. ***
Comment 7 Maxx 2010-07-05 23:49:01 UTC
Marked as duplicate with 10842, but still getting this fix right?
Exposure seems to be dead, the brighter you go the darker you'd get.
It can still see the bright light but cannot see normal light. The sensitivity
is dawn.
Comment 8 Kyros (reporter) 2010-07-08 01:49:05 UTC
Bug 10842 seems to show one effect that the shown live programm screen turns
very dark during taking the picture due to the bug.

By the way: 
I tried again some days ago and I noticed a similar linked bug when
_under_exposing:

EXPECTED OUTCOME:
At ISO 100, 200 or 400 the picture is expected to appear slightly darker step
by step when the exposure correction is set to -0,5, -1,0, -1,5, -2,0
(underexpose)

ACTUAL OUTCOME:
At ISO 100, 200 or 400 the picture changes to a very dark exposure (almost
black) when exposure correction it set to -0,5, -1,0, -1,5, -2,0 (underexpose)

REPRODUCIBILITY:
(always)

OTHER COMMENTS:
This linked bug wasn't noticed before because it is not easy to notice that the
darkening of the picture is much to overdone instead of going darker slightly
step by step.

Sorry that I write it again: The exposure correction is one of the main tools
to use the excelent camera of the N900 to make good pictures. So please can
someone give a feedback about the way this bug is going now to a solution? What
time horizon is realistig to have the camera working suitable again?
Comment 9 Kym 2010-07-12 13:21:11 UTC
confirm exists in PR.1.2 (10.2010.19-1)

pity its not that easy to flash back to the stock firmware out of the box or
else i would do so.
Comment 10 Kyros (reporter) 2010-08-03 17:14:39 UTC
Sorry that I try to insist.
===========================
But the summer is nearly over now and I am very angry that i cannot use this
good camera in my N900 to shoot good photos!
Currently automatic exposure is the only way to make photos which is not
working well in many exposure cases!
It seems that nothing is going on in this case - there is no feedback and no
workaround!

Please at least offer a package in the repositories to set the camera back to
the last firmware status where this bug didn't appear!

And please respond here to tell what is planned to solve the problem!
Comment 11 Andre Klapper maemo.org 2010-08-30 17:24:34 UTC
What feedback do you expect? It's a valid bug and there are currently no news
whether a fix will be made available for public, hence no updates here either.
Comment 12 Kyros (reporter) 2010-09-03 04:06:17 UTC
Hi Andre, I guess one comment above your message I described what I would
expect, didn't I?

It shouldn't be a problem to publish at least fast a patch which sets the
camera back to the state before PR 1.2.
This bug disables all the good abilities of this excellent camera - for me it's
a mayor setback since the good camera was one of the main arguments to get the
N900. 

It's a great pity that obliviously the camera application wasn't properly
tested before PR 1.2 was released. 

And you it's legitimate to ask if and when the bug is solved - currently it
only seems that it has been read and set valid.
Did really _n_o_t_h_i_n_g_ else happened meanwhile?

:-(
Comment 13 Kyros (reporter) 2010-10-14 12:53:49 UTC
Hi all,
PR 1.3 is now preannounced
http://meego.com/community/blogs/harrihakulinen/2010/meego-calling-n900

Any news if this bug (status NEW since 5 months) will be solved in the new
FW-version?
Regards, Kyros
Comment 14 Andre Klapper maemo.org 2010-10-14 13:02:20 UTC
(In reply to comment #13)
> Any news if this bug (status NEW since 5 months) will be solved in the new
> FW-version?

Yupp: As this report is not RESOLVED FIXED it will not be fixed in PR1.3.
Comment 15 Maxx 2010-10-14 13:44:34 UTC
H(In reply to comment #14)
> (In reply to comment #13)
> > Any news if this bug (status NEW since 5 months) will be solved in the new
> > FW-version?
> 
> Yupp: As this report is not RESOLVED FIXED it will not be fixed in PR1.3.
> 

Andre, if that is the case then do you think this huge bug will ever be fixed
at all? I don't want to be rude or anything. We are eagerly wanting this fixed
asap. But you are not the maintainer of this bug so I guess only if the camera
source code and driver released to the talk.maemo.org then we will fix it
ourselves.
Comment 16 Andre Klapper maemo.org 2010-10-14 13:50:07 UTC
(In reply to comment #15)
> Andre, if that is the case then do you think this huge bug will ever be fixed
> at all?

Only Nokia knows. I have access to their internal bugtracker and of course ping
from time to time on reports that seem to be forgotten, but I don't know about
Nokia's future plans and priorities when it comes to updates...
Comment 17 Maxx 2010-10-14 14:07:04 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > Andre, if that is the case then do you think this huge bug will ever be fixed
> > at all?
> 
> Only Nokia knows. I have access to their internal bugtracker and of course ping
> from time to time on reports that seem to be forgotten, but I don't know about
> Nokia's future plans and priorities when it comes to updates...
> 

(In reply to comment #16)
> (In reply to comment #15)
> > Andre, if that is the case then do you think this huge bug will ever be fixed
> > at all?
> 
> Only Nokia knows. I have access to their internal bugtracker and of course ping
> from time to time on reports that seem to be forgotten, but I don't know about
> Nokia's future plans and priorities when it comes to updates...
> 

Thank for the clarificatiom. So have this bug been acknowledged by Nokia yet?
If not would be greatly appreciated if you could report it to Nokia so that
this bug won't be forgotten again.
Comment 18 Andre Klapper maemo.org 2010-10-14 14:20:30 UTC
(In reply to comment #17)
> Thank for the clarificatiom. So have this bug been acknowledged by Nokia yet?

Yes, it has.
Comment 19 Kyros (reporter) 2010-10-14 15:05:14 UTC
Dear Andre,

for me it clear seems that (.. and I am not discussing why ...) this important
Bug over months has not landed and tracked @ Nokia with the importance it
should have.
So please give us the responsible Nokia contact details necessary for been
addressed to give the bug-fixing the goal-oriented drive for success.

Regards, Kyros
Comment 20 Andre Klapper maemo.org 2010-10-14 15:18:21 UTC
(In reply to comment #19)
> So please give us the responsible Nokia contact details

I can look up developers but it's not up to developers to decide about
priorities or release schedules, but the management.
Hence I can only point to Nokia Customer Care or maemo.org mailing lists.
Thanks for your understanding.
Comment 21 Kyros (reporter) 2010-10-14 15:43:01 UTC
I cannot believe you do not know a person who can decide+effect that this bus
must be solved. Very easy: Please give us the contact detail of this
responsible person whoever he is.
Comment 22 Andre Klapper maemo.org 2010-10-14 15:51:50 UTC
Not my job to make people believe and not interested in repeating myself, hence
unCCing...
Comment 23 Kyros (reporter) 2010-10-14 16:10:44 UTC
Is there someone in the remaining CC tree who is willing to make a professional
responsive statement and step ahead to _s_o_l_v_e_ this bug because this is the
aim of this tool we are using here, isn't it?
Comment 24 jmk 2010-10-21 03:06:09 UTC
Just not to be completely off-topic: confirm.
Also, does anyone know if the bug is just in the app, or in the cam's firmware
itself?
I.e. would it be possible to make a replacement app using the camera api?

(In reply to comment #23)
> Is there someone in the remaining CC tree who is willing to make a professional
> responsive statement and step ahead to _s_o_l_v_e_ this bug because this is the
> aim of this tool we are using here, isn't it?
> 

Those people are fixing bugs in the order of their priority, naturally. There
is nothing you can do that will make them want to change this bug's priority.
Comment 25 t3st3r 2010-10-21 14:59:34 UTC
Got this bug too :(

I'm using ISO 100 most of time (to reduce camera noise). And attempt to adjust
exposure leads to black screen, which is, uhm, unpleasant to say the least.
Comment 26 Andre Klapper maemo.org 2010-10-21 15:39:32 UTC
[In general please avoid me too comments. Use "Vote for this bug" instead.]
Comment 27 nicolai 2010-12-23 13:09:13 UTC
(In reply to comment #24)
> Just not to be completely off-topic: confirm.
> Also, does anyone know if the bug is just in the app, or in the cam's firmware
> itself?
> I.e. would it be possible to make a replacement app using the camera api?
> 

I think it is in the driver (in libomap3cam or in omap3camd).
I tried to recreate a camera-ui with all the builtin functions.
And with my camera-ui I got the same behavior.

nicolai
Comment 28 bugs.maemo.org@falkensweb.com 2010-12-24 00:23:51 UTC
Look at what the fcamera-based programs manage (like BlessN900 in the Extras
repo.).
It's crappy Nokia code rather than the camera.
Comment 29 Andre Klapper maemo.org 2011-01-18 15:31:26 UTC
Internal bug is closed as WONTFIX for Maemo5 - reflecting state here.

MeeGo Handset is where the unstable development is taking place. If you are a
developer (not a "normal" user) feedback about / retesting on MeeGo Handset
issues is specially welcome, e.g. via the MeeGo bugtracker at
https://bugs.meego.com.
Please note that MeeGo for the Nokia N900 is unstable and by no means ready for
end-users. See http://wiki.meego.com/ARM/N900 for more information and be aware
of the risks of trying unstable software.
Comment 30 Kyros (reporter) 2011-01-18 15:45:38 UTC
It is a scandal that this bug which was reported so long ago wasn't fixed even
over one firmware update. For me it's obvious that someone haven't done it's
work as it should be from a professional point of view! I am very angry about
this way of treating the consumers who spent their money for buying this Nokia
product.

The users originally could buy a device which had certain important
capabilities in the camera interface's usability.
Then the company did a mayor mistake in disabling this capabilities in one of
the firmware updates since they programmed this severe bug which is causing
this error in the functionality available before.

Now this way of closing this bug is not professional!
It's the companies obligation to repair this anyway!
This is mandatory since they cannot make amends to the users for the lost time
when they neglected their duty in this special case.
Comment 31 Andre Klapper maemo.org 2011-01-18 15:52:21 UTC
Restoring WONTFIX. Do not reopen reports as a sign of protest - please contact
Nokia Customer Care instead for that. Thanks.
Comment 32 jmk 2011-01-18 16:09:14 UTC
Hello Kyro,

you can use BlessN900 or fcamera to make full use of the camera. Both provide
more features than Nokia's app. Now please stop filling people's inboxes with
that issue.

(sorry everyone for doing the same)

(In reply to comment #30)
> It is a scandal that this bug which was reported so long ago wasn't fixed even
> over one firmware update. For me it's obvious that someone haven't done it's
> work as it should be from a professional point of view! I am very angry about
> this way of treating the consumers who spent their money for buying this Nokia
> product.
> 
> The users originally could buy a device which had certain important
> capabilities in the camera interface's usability.
> Then the company did a mayor mistake in disabling this capabilities in one of
> the firmware updates since they programmed this severe bug which is causing
> this error in the functionality available before.
> 
> Now this way of closing this bug is not professional!
> It's the companies obligation to repair this anyway!
> This is mandatory since they cannot make amends to the users for the lost time
> when they neglected their duty in this special case.
Comment 33 nicolai 2011-01-18 16:20:44 UTC
(In reply to comment #29)
> Internal bug is closed as WONTFIX for Maemo5 - reflecting state here.
> 
> MeeGo Handset is where the unstable development is taking place. If you are a
> developer (not a "normal" user) feedback about / retesting on MeeGo Handset
> issues is specially welcome, e.g. via the MeeGo bugtracker at
> https://bugs.meego.com.

Maybe I missed something, but according to this bug:
http://bugs.meego.com/show_bug.cgi?id=5461

There is no camera application in meego. How can we give feedback
or retesting this?

nicolai
Comment 34 Kyros (reporter) 2011-01-18 18:03:52 UTC
Sorry for filling people's inboxes as well.
But wouldn't the best to give a square deal and fix the bug at the beginning? 
To close the Bug after nearly a year of inactivity like you did is the big
scandal in my eyes, not my messages laying this open!

You are accuse me for annoying just because I want that the camera application
remains at least in the functionality it had when I bought the device?
Don't try to suggest that a 3rdparty app. as a workaround is the replacement
for properly bugfixing and accurate programming!

If the N900 would get a MeeGo upgrade from Nokia side it would be acceptable to
solve this bug in MeeGo but since the Meamo is the official firmware dead end
from Nokia side it is _definately_not_OK_ to leave this bug unfixed.

In my opinion someone is in charge of repairing this which he has slipped up in
PR 1.2. He didn't had the heart to reply yet and he is not doing his job's duty
properly and in an professional way. Instead he is now stealing away with
leaving the derangement, isn't it?

I cannot prevent getting the short end of the stick since this bug is now swept
under the carpet. But I can use my freedom of expression for this task I opened
by finally adding a true status from this bug's author side. But dont' worry -
you can set your mind at rest because I'm done with this task.

Author's final evaluation of this bugfixing procedure:
=================================================================
Despite of incorrect closing this task as "SOLVED" and "WONTFIX": 
The correct status of this Bug is at least:
OPEN, REOPENED or VERIFIED 
Since it is _not_solved_, _not_fixed_ and _still_existing_ !
=================================================================
Comment 35 Andre Klapper maemo.org 2011-01-18 18:17:30 UTC
(In reply to comment #34)
> But wouldn't the best

This is all completely off-topic for this specific report. Please refrain from
posting stuff here that is not relevant to this specific report. Last warning.
Comment 36 Andre Klapper maemo.org 2011-01-21 18:04:40 UTC
(In reply to comment #33)
> Maybe I missed something, but according to this bug:
> http://bugs.meego.com/show_bug.cgi?id=5461
> There is no camera application in meego. How can we give feedback
> or retesting this?

Hmm, true. So we are completely stuck here for the moment.